Subject: Re: (ION) nhrp: Client proto addr?

From: [email-masked] (Lee Jung-Sup)
Date: Tue, 26 May 1998 09:35:52 +0900 (KST)

> 
> Considering IP as the internetworking protocol and ATM as the NBMA
> protocol, I have the following question about NHRP CIE Client IP
> Address.
> 
> Given that a non-zero prefix length in a CIE as part of a resolution
> reply represents the equivalence class of IP addresses which match the
> first "Prefix Length" bit positions of the destination IP address (in
> mandatory part), why is it that a client IP address is necessary in
> this resolution reply? Wouldn't that be redundant information?
> 
> Thanks,
> pdh
> ---
> Paul Henri
> [email-masked]
> 

When a NHRP requested destination station is not on the ATM network, 
the egress router to that destination serves as the Next-Hop to 
that station. That is, IP address in CIE belongs to the egress router, 
while IP address in mandatory part belongs to the destination.
The two IP addresses are on a different network and both infos 
are necessary.

J.Lee
-------------------------------------------------------------------------
Justin Jungsup Lee                      [email-masked]
Associate Engineer,     		Samsung Plaza Building.,
ATM Research Group,  			7-25, Suhyun-Dong, Pundang-Gu,
Information and Communication Business, Sung-Nam, Kungki-Do, Korea 463-050
Samsung Electronics Company.            T:+82-0342-779-7574 F:+82-0342-779-7699
-------------------------------------------------------------------------
X-Info: To unsubscribe, email [email-masked]' with
X-Info: 'unsubscribe ion' in the body of the message.

---

From: [email-masked] (Lee Jung-Sup)
Date: Wed, 27 May 1998 07:29:29 +0900 (KST)

> 
> In message "Re: (ION) nhrp: Client proto addr?", you write:
> 
> Is the client proto address the responder, or the nhs which is
> authoritatively serving the destination? What if the destination is an
> atm-attached nhc; What is the client proto address in this case?
> 
> How does this tie in with the responder extension?

Protocol Address in CIE belongs to NHC. the responder is the NHS serving
the destination NHCs. NHC never respond to any requests. 

If the destination is an atm-NHC, this would be the general case.
The client Protocol address is the IP address assigned to the
atm interface of the NHC.

Responder extension is filled with the NHS's information.

J.Lee